package _VisualDVM.TestingSystem.Common.Test.UI;
import _VisualDVM.Global;
import _VisualDVM.Visual.Menus.VisualiserMenu;
import Visual_DVM_2021.Passes.PassCode;
import Common.Passes.Pass;
public class AddTestMenu extends VisualiserMenu {
    public AddTestMenu() {
        super("Добавление теста", "/icons/RedAdd.png", false);
        add(Global.mainModule.getPass(PassCode.CreateTestFromProject).createMenuItem());
        add(Global.mainModule.getPass(PassCode.CreateTestFromDirectory).createMenuItem());
        add(Global.mainModule.getPass(PassCode.CreateTestsFromFiles).createMenuItem());
        add(Global.mainModule.getPass(PassCode.CreateTestFromSelectedFiles).createMenuItem());
    }
}
